Package com.evopdf

# Enum LineDashStyle

java.lang.Object
java.lang.Enum<LineDashStyle>
com.evopdf.LineDashStyle

All Implemented Interfaces:
  `Serializable`, `Comparable<LineDashStyle>`, `java.lang.constant.Constable`

public enum LineDashStyle extends Enum<LineDashStyle>
Specifies the style of a dashed line

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Dash`
  Specifies a line consisting of dashes
  `DashDot`
  Specifies a line consisting of a repeating pattern of dash-dot
  `DashDotDot`
  Specifies a line consisting of a repeating pattern of dash-dot-dot
  `Default`
  Default dash style
  `Dot`
  Specifies a line consisting of dots
  `Solid`
  Specifies a solid line

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static LineDashStyle`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static LineDashStyle[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Default

    public static final LineDashStyle Default
    Default dash style

  - ### Solid

    public static final LineDashStyle Solid
    Specifies a solid line

  - ### Dash

    public static final LineDashStyle Dash
    Specifies a line consisting of dashes

  - ### Dot

    public static final LineDashStyle Dot
    Specifies a line consisting of dots

  - ### DashDot

    public static final LineDashStyle DashDot
    Specifies a line consisting of a repeating pattern of dash-dot

  - ### DashDotDot

    public static final LineDashStyle DashDotDot
    Specifies a line consisting of a repeating pattern of dash-dot-dot

- ## Method Details

  - ### values

    public static LineDashStyle[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static LineDashStyle valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()